API Explorer 936 endpoints

Get Connector Metrics

GET /obp/v7.0.0/management/connector/metrics

OBPv2.2.0-getConnectorMetrics Roles: CanGetConnectorMetrics MetricAPI

Get the all metrics

require CanGetConnectorMetrics role

Filters Part 1.filtering (no wilde cards etc.) parameters to GET /management/connector/metrics

Should be able to filter on the following metrics fields

eg: /management/connector/metrics?from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z&limit=50&offset=2

1 from_date (defaults to one week before current date): eg:from_date=1100-01-01T01:01:01.000Z

2 to_date (defaults to current date) eg:to_date=1100-01-01T01:01:01.000Z

3 limit (for pagination: defaults to 1000) eg:limit=2000

4 offset (for pagination: zero index, defaults to 0) eg: offset=10

eg: /management/connector/metrics?from_date=1100-01-01T01:01:01.000Z&to_date=1100-01-01T01:01:01.000Z&limit=100&offset=300

Other filters:

5 connector_name (if null ignore)

6 function_name (if null ignore)

7 correlation_id (if null ignore)

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (6)
connector_name
correlation_id
1flssoftxq0cr1nssr68u0mioj
date
2020-01-27
duration
5.123
function_name
metrics
Example success response
{
  "metrics": [
    {
      "connector_name": "mapper",
      "function_name": "getBanks",
      "correlation_id": "12345",
      "date": "1100-01-01T00:00:00Z",
      "duration": 1000
    }
  ]
}
Possible errors (4)
  • OBP-10005: Invalid Date Format. Could not convert value to a Date.
  • OBP-50000: Unknown Error.
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
Implemented by OBPv2.2.0 getConnectorMetrics Originally /obp/v2.2.0/management/connector/metrics